# Uses of Class
com.clickhouse.jdbc.parser.ClickHouseSqlStatement

Packages that use ClickHouseSqlStatement
Package
Description
com.clickhouse.jdbc
com.clickhouse.jdbc.internal
com.clickhouse.jdbc.parser

## Uses of ClickHouseSqlStatement in com.clickhouse.jdbc

Methods in com.clickhouse.jdbc that return ClickHouseSqlStatement
Modifier and Type
Method
Description
`ClickHouseSqlStatement`
JdbcParseHandler.`handleStatement(String sql, StatementType stmtType, String cluster, String database, String table, String input, String compressAlgorithm, String compressLevel, String format, String file, List<Integer> parameters, Map<String,Integer> positions, Map<String,String> settings, Set<String> tempTables)`
Deprecated.
`default ClickHouseSqlStatement[]`
ClickHouseConnection.`parse(String sql, ClickHouseConfig config)`
Deprecated.
will be removed in 0.5, please use `ClickHouseConnection.parse(String, ClickHouseConfig, Map)` instead
`ClickHouseSqlStatement[]`
ClickHouseConnection.`parse(String sql, ClickHouseConfig config, Map<String,Serializable> settings)`
Deprecated.
Parses the given sql.

## Uses of ClickHouseSqlStatement in com.clickhouse.jdbc.internal

Fields in com.clickhouse.jdbc.internal declared as ClickHouseSqlStatement
Modifier and Type
Field
Description
`protected ClickHouseSqlStatement[]`
ClickHouseStatementImpl.`parsedStmts`
Deprecated.
Methods in com.clickhouse.jdbc.internal that return ClickHouseSqlStatement
Modifier and Type
Method
Description
`protected ClickHouseSqlStatement`
ClickHouseStatementImpl.`getLastStatement()`
Deprecated.
`ClickHouseSqlStatement[]`
ClickHouseConnectionImpl.`parse(String sql, ClickHouseConfig config, Map<String,Serializable> settings)`
Deprecated.
`protected ClickHouseSqlStatement`
ClickHouseStatementImpl.`parseSqlStatements(String sql)`
Deprecated.
Methods in com.clickhouse.jdbc.internal with parameters of type ClickHouseSqlStatement
Modifier and Type
Method
Description
`protected ClickHouseResponse`
ClickHouseStatementImpl.`executeStatement(ClickHouseSqlStatement stmt, Map<ClickHouseOption,Serializable> options, List<ClickHouseExternalTable> tables, Map<String,String> settings)`
Deprecated.
`protected ClickHouseFile`
ClickHouseStatementImpl.`getFile(ClickHouseFile f, ClickHouseSqlStatement stmt)`
Deprecated.
`protected ClickHouseResponse`
ClickHouseStatementImpl.`processSqlStatement(ClickHouseSqlStatement stmt)`
Deprecated.
`protected void`
ClickHouseStatementImpl.`setLastStatement(ClickHouseSqlStatement stmt)`
Deprecated.
`protected ResultSet`
ClickHouseStatementImpl.`updateResult(ClickHouseSqlStatement stmt, ClickHouseResponse response)`
Deprecated.
Constructors in com.clickhouse.jdbc.internal with parameters of type ClickHouseSqlStatement
Modifier
Constructor
Description
`protected`
`SqlBasedPreparedStatement(ClickHouseConnectionImpl connection, ClickHouseRequest<?> request, ClickHouseSqlStatement parsedStmt, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
Deprecated.
`protected`
`StreamBasedPreparedStatement(ClickHouseConnectionImpl connection, ClickHouseRequest<?> request, ClickHouseSqlStatement parsedStmt, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
Deprecated.
`protected`
`TableBasedPreparedStatement(ClickHouseConnectionImpl connection, ClickHouseRequest<?> request, ClickHouseSqlStatement parsedStmt, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
Deprecated.

## Uses of ClickHouseSqlStatement in com.clickhouse.jdbc.parser

Methods in com.clickhouse.jdbc.parser that return ClickHouseSqlStatement
Modifier and Type
Method
Description
`ClickHouseSqlStatement`
ParseHandler.`handleStatement(String sql, StatementType stmtType, String cluster, String database, String table, String input, String compressAlgorithm, String compressLevel, String format, String file, List<Integer> parameters, Map<String,Integer> positions, Map<String,String> settings, Set<String> tempTables)`
Deprecated.
Hanlde statemenet.
`static ClickHouseSqlStatement[]`
ClickHouseSqlParser.`parse(String sql, ClickHouseConfig config)`
`static ClickHouseSqlStatement[]`
ClickHouseSqlParser.`parse(String sql, ClickHouseConfig config, ParseHandler handler)`
`final ClickHouseSqlStatement[]`
ClickHouseSqlParser.`sql()`